//
//  ViewController.m
//  BarChartTest
//
//  Created by Developer Support on 1/7/14.
//  Copyright (c) 2014 Developer Support. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
	
	NSMutableArray* data = [[NSMutableArray alloc] init];
	for (int i=0; i<3; i++) {
		double value = arc4random() % 100;
		[data addObject:[[NSNumber alloc] initWithDouble:value]];
	}
	
	IGCategorySeriesDataSourceHelper* source = [[IGCategorySeriesDataSourceHelper alloc] init];
	source.values = data;
	
	CGRect chartFrame = self.view.frame;
	chartFrame.size.height = chartFrame.size.height - 20;
	chartFrame.origin.y = chartFrame.origin.y + 20;
	IGChartView* infraChart = [[IGChartView alloc] initWithFrame:chartFrame];
	[infraChart setAutoresizingMask:UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight];
	
	IGNumericXAxis* xAxis = [[IGNumericXAxis alloc] initWithKey:@"xAxis"];
	IGCategoryYAxis* yAxis = [[IGCategoryYAxis alloc] initWithKey:@"yAxis"];
	[infraChart addAxis:xAxis];
	[infraChart addAxis:yAxis];
	
	IGBarSeries* barSeries = [[IGBarSeries alloc] initWithKey:@"barSeries"];
	barSeries.xAxis = xAxis;
	barSeries.yAxis = yAxis;
	barSeries.dataSource = source;
	
	[infraChart addSeries:barSeries];
	[self.view addSubview:infraChart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
